[Flent-users] [tohojo/flent] flent -i summary text not working (#166)

Pete Heist notifications at github.com
Mon Jul 8 23:04:07 EEST 2019


On flent from head I'm not able to generate summary text for a tcp_2up test:

```
% flent -i *.flent.gz
Started Flent 1.2.2-git-325dad7 using Python 3.7.3.

Summary of tcp_2up test run from 2019-07-08 19:53:28.768995
  Title: 'sce cc:reno,reno-sce q:triple-isolate bw:50Mbit rtt:80ms crtt:100ms'

                                             avg       median          # data pts
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/combiners.py", line 661, in get_rawdata
    rawdata = self._get_series(resultset, key, ensure=raw_key)
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/combiners.py", line 640, in _get_series
    data = resultset.raw_values[name]
KeyError: 'TCP upload::1::tcp_cwnd'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/flent", line 11, in <module>
    load_entry_point('flent===1.2.2-git-325dad7', 'console_scripts', 'flent')()
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/__init__.py", line 59, in run_flent
    b.run()
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/batch.py", line 577, in run
    return self.load_input(self.settings)
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/batch.py", line 558, in load_input
    formatter.format(results)
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/formatters.py", line 326, in format
    self.make_combines(r, ['mean', 'median'])
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/formatters.py", line 232, in make_combines
    combine_mode=m)[0]
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/combiners.py", line 86, in __call__
    res = self.combine(results, config)
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/combiners.py", line 198, in combine
    new_results = self.group(groups, config)
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/combiners.py", line 231, in group
    data[s['data']] = reducer(r, s)
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/combiners.py", line 460, in __call__
    return self.reduce(resultset, series, data)
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/combiners.py", line 541, in reduce
    res = r.reduce(resultset, series, data)
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/combiners.py", line 675, in reduce
    rawdata, raw_key = self.get_rawdata(resultset, series)
  File "/usr/local/lib/python3.7/site-packages/flent-1.2.2_git_325dad7-py3.7.egg/flent/combiners.py", line 664, in get_rawdata
    key, raw_key = key.split("::")
ValueError: too many values to unpack (expected 2)
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/166
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://flent.org/pipermail/flent-users_flent.org/attachments/20190708/4f63faa0/attachment.html>


More information about the Flent-users mailing list